Incorrect Version?

Discussion in 'Developers' Forum' started by oilyflutesalad, Jan 18, 2010.

  1. oilyflutesalad

    oilyflutesalad ISPConfig Developer ISPConfig Developer

    First of all I installed the latest public version, which displayed 3.0.1.6 in the "powered by" footer.

    The SVN version says 3.0.1.4 in config.inc.php.

    I packaged my working copy, downloaded it onto the server, and used update.php to update the server install, and now it shows 3.0.1.5 as the version.

    I haven't checked the update script yet, but something isn't going right somewhere. I was originally going to set the version to 3.0.1.6 in config.inc.php but I now know that would make no difference when doing an update.

    Edit: Just gone through the update scripts and found the config master file, so have updated the version in there and in the interface/lib dir and will commit change once I've tested it.
     
    Last edited: Jan 18, 2010
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    I guess you did not install the software or copied over the config.inc.php file manually from svn to a installed system. The version number in config.inc.php is set by the installer at install time or during an update (the complete file gets replaced by the template from the inatsll/tpl folder), the version number that is in the dummy placeholder file in the lib directory in SVN does not matter.
     
  3. oilyflutesalad

    oilyflutesalad ISPConfig Developer ISPConfig Developer

    I didn't copy any files over manually, I just ran the update script. install/tpl/config.inc.php.master was set to 3.0.1.5 which explains why that was showing in the web interface after the install.

    I changed the version in this file to 3.0.1.6 and ran the update again and it now shows the correct version :D
     
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    Ok. Might be that it was changed just in the stable branch and not trunk before.
     

Share This Page